Đến nội dung


Hình ảnh

Hỏi cách kéo dài đoạn thẳng từ cả 2 phía?


  • Please log in to reply
5 replies to this topic

#1 mutalisk

mutalisk

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 March 2014 - 09:29 AM

Chào các anh em trên diễn đàn, mình muốn hỏi là có cách nào kéo dài độ dài đoạn thẳng (theo tham số cố định, hoặc phần trăm cũng đc) theo cả 2 phương được ko (tham số nhập vào sẽ chia đôi và kéo dài theo 2 đầu của đoạn thẳng)

Mình đã thử lệnh lengthen nhưng nó chỉ cho phép kéo dài theo 1 đầu 1. Mình muốn áp dụng cho bản vẽ rất lớn nên muốn áp dụng lệnh cho một loạt line, pick từng line một chắc mất mấy ngày quá  :(


  • 0

#2 hiepttr

hiepttr

    Edu level: li10

  • Members
  • PipPipPipPipPipPipPip
  • 1298 Bài viết
Điểm đánh giá: 518 (tốt)

Đã gửi 18 March 2014 - 09:50 AM

bạn kiếm lisp scale tại tâm (hình như là của bác DoanVanHa)


  • 1

Có vợ dù dữ dù hiền , bạn đều có lợi
_ Nếu vợ hiền, bạn sẽ là người đàn ông sung sướng
_ Nếu vợ dữ, bạn sẽ thành ... triết gia !

Bergson


#3 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5448 Bài viết
Điểm đánh giá: 2624 (tuyệt vời)

Đã gửi 18 March 2014 - 10:04 AM

bạn kiếm lisp scale tại tâm (hình như là của bác DoanVanHa)

Hắn đây! Của mình mà mình không nhớ nỗi.

http://www.cadviet.c...=0


  • 1

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#4 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 18 March 2014 - 10:05 AM

Đã có

http://www.cadviet.c...154#entry128473

;; free lisp from cadviet.com
;;; this lisp was downloaded from http://www.cadviet.com/forum/topic/13203-viet-lisp-theo-yeu-cau-phan-2/page-154#entry128473
;free lisp from cadviet.com @ ketxu 
(defun c:keodai (/ ss kc)  (vl-load-com)   
	(setq 	ss (ssget "_:L" '((0 . "LINE,LWPOLYLINE,ARC")))            
			kc (getdist "\nChieu dai phan dua ra: "))      
			(foreach ent 
				(vl-remove-if 'listp (mapcar 'cadr (ssnamex ss)))         
					(command "_.lengthen" "_delta" kc                 
					(list ent (vlax-curve-getendpoint ent)) 
					(list ent (vlax-curve-getstartpoint ent)) ""        
					) ;kthuc command      
			) ; kthuc vong lap 
(princ))

  • 1

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#5 mutalisk

mutalisk

    Chưa sử dụng CAD

  • Members
  • Pip
  • 2 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 March 2014 - 10:09 AM

CÁm ơn các bác nhiều nhé!!!, với lisp này chắc mình đỡ vất vả nhiều rồi  :lol:


  • 0

#6 conghoa

conghoa

    biết lệnh attdef

  • Members
  • PipPipPipPipPipPip
  • 411 Bài viết
Điểm đánh giá: 88 (tàm tạm)

Đã gửi 18 March 2014 - 10:27 AM

http://www.cadviet.c..._doi_tuong_.lsp

 

Mình tìm thấy cái này nữa :D, Scale các đối tượng tại tâm luôn không riêng gì line :)


  • 1